Skip to main content
GET
/
integrations
/
{integrationId}
/
resource-kinds
/
{resourceKind}
/
resources
/
{resourceId}
Get resource by ID
curl --request GET \
  --url https://api.vanta.com/v1/integrations/{integrationId}/resource-kinds/{resourceKind}/resources/{resourceId} \
  --header 'Authorization: Bearer <token>'
{
  "responseType": "Resource",
  "resourceKind": "AsanaTask",
  "resourceId": "5e7400d77a8e3731ab2d5c8e",
  "connectionId": "62ffd6793ef7978318baefa8",
  "displayName": "My Security Task",
  "owner": null,
  "inScope": true,
  "description": null,
  "creationDate": "2024-03-06T19:02:25.202Z"
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

integrationId
string
required

Unique identifier of the integration.

resourceKind
string
required

Unique identifier of the integration resource kind.

resourceId
string
required

Unique identifier of the resource.

Response

200 - application/json

Ok

responseType
enum<string>
required
Available options:
Account,
AutoScalingGroup,
ClusterDeployment,
ComputeInstance,
ContainerCluster,
ContainerRepository,
Database,
Device,
GitRepository,
KubernetesCluster,
LoadBalancer,
PaaS,
Resource,
Queue,
ServerlessFunction,
StorageBucket
resourceKind
string
required

The identifier for the resource type, unique within the scope of an Integration.

resourceId
string
required

The unique identifier for the Resource.

connectionId
string | null
required

The unique identifier for the Connection used to ingest the Resource if it exists.

displayName
string
required

The Resource's display name.

owner
string | null
required

The unique identifier for the owner of the resource in Vanta.

inScope
boolean
required

Whether the resource is in scope for audits.

description
string | null
required

The description of the resource in Vanta.

creationDate
string<date-time>
required

When Vanta first ingested the Resource.

deletedDate
string<date-time> | null

When the resource was deleted/removed from the integration, if applicable. This field is only present when the resource has been deleted.